# $Revision: 1.10 $, $Date: 2005/05/24 16:37:48 $
Summary:	GnomeVFS module for accessing Windows CE and Pocket PC devices
Summary(pl):	Modu GnomeVFS sucy do dostpu do urzdze Windows CE i Pocket PC
Name:		synce-gnomevfs
Version:	0.9.0
Release:	2
License:	MIT
Vendor:		The SynCE Project
Group:		Applications/Communications
Source0: 	http://dl.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	1fa8d653297331479edcd5d983a0f75e
URL:		http://synce.sourceforge.net/
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	synce-librapi2-devel >= 0.9.0
Requires:	synce-librapi2 >= 0.9.0
ExcludeArch:	%{x8664} alpha ia64 ppc64 s390x sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SynCE-GnomeVFS is a GnomeVFS module for accessing Windows CE and
Pocket PC devices. It is part of the SynCE project:
<http://synce.sourceforge.net/>.

%description -l pl
SynCE-GnomeVFS to modu GnomeVFS sucy do dostpu do urzdze
Windows CE i Pocket PC. Jest on czci projektu SynCE:
<http://synce.sourceforge.net/>.

%prep
%setup -q 

%build
cp -f /usr/share/automake/config.* .
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README
%attr(755,root,root) %{_bindir}/synce-in-computer-folder
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so
%{_sysconfdir}/gnome-vfs-2.0/modules/synce-module.conf
# dir shared with synce-rra, synce-software-manager, synce-trayicon
%dir %{_datadir}/synce
%{_datadir}/synce/synce-in-computer-folder.sh
# dir shared with synce-trayicon
%dir %{_pixmapsdir}/synce
%{_pixmapsdir}/synce/synce-color.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-gnomevfs.spec,v $
Revision 1.10  2005/05/24 16:37:48  wiget
- release 2, STBR

Revision 1.9  2005/05/11 14:40:56  qboosh
- updated 64-bit archs list

Revision 1.8  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.7  2004/12/26 01:59:32  qboosh
- librapi2 is not ready for 64-bit pointers :/

Revision 1.6  2004/12/26 01:52:59  qboosh
- updated deps, added docs

Revision 1.5  2004/12/02 09:29:41  tiwek
- Release 1
- Build and nice work

Revision 1.4  2004/11/26 20:14:33  qboosh
- pixmapsdir moved to synce

Revision 1.3  2004/11/26 20:05:54  qboosh
- pl, more cleanups and fixes

Revision 1.2  2004/11/26 18:22:41  ankry
- post-tiwek cleaning

Revision 1.1  2004/11/26 14:43:39  tiwek
- build
